classification
Title: Epoll wrapper
Type: enhancement Stage:
Components: Extension Modules Versions: Python 3.0, Python 2.6
process
Status: closed Resolution: duplicate
Dependencies: Superseder: epoll and kqueue wrappers for the select module
View: 1657
Assigned To: Nosy List: christian.heimes, therve
Priority: normal Keywords: patch

Created on 2007-03-06 17:24 by therve, last changed 2007-12-19 06:58 by christian.heimes. This issue is now closed.

Files
File name Uploaded Description Edit
epoll.diff therve, 2007-03-06 17:24
Messages (3)
msg52064 - (view) Author: Thomas Herve (therve) * Date: 2007-03-06 17:24
epoll is a I/O event loop available on several *nix systems. Some third-party libraries to access it in Python have been available around the web, but I think it would be great to have it in stdlib.

Furthermore, it'll be available for using it in _socketmodule in place of poll, if there is an interest.

Attached a simple C version, and tests mostly extracted from twisted (where we use a pyrex version).

If it seems to be useful, I'd be glad to make the documentation.
msg58742 - (view) Author: Christian Heimes (christian.heimes) * (Python committer) Date: 2007-12-18 12:03
I think it's a very useful addition to the select module. But I see a
license problem. Have you written the tests and code yourself and are
you willing to relicense the code under the Python license?
msg58796 - (view) Author: Christian Heimes (christian.heimes) * (Python committer) Date: 2007-12-19 06:58
I've created my own interface modeled after the Twisted interface: #1657

I prefer to wrap the epoll control fd in an object, just like poll.
History
Date User Action Args
2007-12-19 06:58:35christian.heimessetstatus: open -> closed
resolution: duplicate
superseder: epoll and kqueue wrappers for the select module
messages: + msg58796
priority: high -> normal
2007-12-18 12:03:23christian.heimessetpriority: normal -> high
type: enhancement
messages: + msg58742
nosy: + christian.heimes
versions: + Python 3.0
2007-03-06 17:24:20thervecreate